GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Functions
GLM_GTX_optimum_pow
GTX Extensions (Experimental)

## Functions
template<typename genType >
genType | pow2 (const genType &x)
template<typename genType >
genType | pow3 (const genType &x)
template<typename genType >
genType | pow4 (const genType &x)
bool | powOfTwo (int num)
template<precision P>
detail::tvec2< bool, P > | powOfTwo (detail::tvec2< int, P > const &x)
template<precision P>
detail::tvec3< bool, P > | powOfTwo (detail::tvec3< int, P > const &x)
template<precision P>
detail::tvec4< bool, P > | powOfTwo (detail::tvec4< int, P > const &x)

## Detailed Description

Integer exponentiation of power functions.

<glm/gtx/optimum_pow.hpp> need to be included to use these functionalities.

## Function Documentation

genType glm::gtx::pow2 | ( | const genType & | x | ) |

Returns x raised to the power of 2.

From GLM_GTX_optimum_pow extension.

genType glm::gtx::pow3 | ( | const genType & | x | ) |

Returns x raised to the power of 3.

From GLM_GTX_optimum_pow extension.

genType glm::gtx::pow4 | ( | const genType & | x | ) |

Returns x raised to the power of 4.

From GLM_GTX_optimum_pow extension.

bool glm::gtx::powOfTwo | ( | int | num | ) |

Checks if the parameter is a power of 2 number.

From GLM_GTX_optimum_pow extension.

detail::tvec2<bool, P> glm::gtx::powOfTwo | ( | detail::tvec2< int, P > const & | x | ) |

Checks to determine if the parameter component are power of 2 numbers.

From GLM_GTX_optimum_pow extension.

detail::tvec3<bool, P> glm::gtx::powOfTwo | ( | detail::tvec3< int, P > const & | x | ) |

Checks to determine if the parameter component are power of 2 numbers.

From GLM_GTX_optimum_pow extension.

detail::tvec4<bool, P> glm::gtx::powOfTwo | ( | detail::tvec4< int, P > const & | x | ) |

Checks to determine if the parameter component are power of 2 numbers.

From GLM_GTX_optimum_pow extension.